import javax.swing.*;
import java.util.*;
public class TestScore {
   public static void main(String[] args) {
      int[] dicePoints = new int[5];
      int[] playPoints = new int[15];
      PlayEngine player = new PlayEngine ();
      String[] kategori = {"Ettor         ",
                           "Tvåor         ",
                           "Treor         ",
                           "Fyror         ",
                           "Femmor        ",
                           "Sexor         ",
                           "Par           ",
                           "Två Par       ",
                           "Triss         ",
                           "Fyrtal        ",
                           "Liten stege   ",
                           "Stor stege    ",
                           "Kåk           ",
                           "Chans         ",
                           "Yatzy         "};
      String indata, utdata;
      while(true) {
         indata = JOptionPane.showInputDialog("Ange tärningarnas värden: ");
         if (indata == null)  // Avsluta genom att trycka Cancel
            break;
         StringTokenizer ordSeparator = new StringTokenizer(indata, " ,\t");
         if (ordSeparator.countTokens() == 5) {
            int index = 0;
            while(ordSeparator.hasMoreTokens() && index < 5) {
               String ettOrd = ordSeparator.nextToken();
               dicePoints[index] = Integer.parseInt(ettOrd);;
               index = index + 1;
            }
            playPoints = player.evaluate(dicePoints);
            utdata = "Tärningarnas värden: ";
            for (int i = 0; i < dicePoints.length; i = i + 1)
               utdata = utdata + dicePoints[i] + "   ";
            utdata = utdata + "\n";
            for (int i = 0; i <playPoints.length; i = i + 1) {
               utdata = utdata + kategori[i] + playPoints[i] + "\n";
            }
            JOptionPane.showMessageDialog(null, utdata);
         }
         else
            JOptionPane.showMessageDialog(null, "Du har angivt felaktigt antal värden!!!");
      }
   }//main
} //TestScore

